1. 03 Mar, 2018 1 commit
    • sunpoet's avatar
      Add py-pew 1.1.2 · a912c9d7
      sunpoet authored
      Python Env Wrapper is a set of commands to manage multiple virtual environments.
      Pew can create, delete and copy your environments, using a single command to
      switch to them wherever you are, while keeping them in a single (configurable)
      location.
      
      Virtualenvs makes it easier to work on more than one project at a time without
      introducing conflicts in their dependencies.
      
      Pew is completely shell-agnostic and thus works on bash, zsh, fish, powershell,
      etc.
      
      WWW: https://pypi.python.org/pypi/pew
      WWW: https://github.com/berdario/pew
      a912c9d7
  2. 02 Mar, 2018 1 commit
    • rene's avatar
      Remove expired ports: · ba99f44a
      rene authored
      2018-03-01 devel/dotconf++: No upstream, not depend on in the ports tree
      2018-03-01 emulators/gnuboy: Latest version is 1.0.5, older version does not fetch
      2018-03-01 games/adgali: Mastersite disappeared
      2018-03-01 games/tuxpuck: Mastersite disappeared
      2018-03-01 japanese/migemo-emacs: Unmaintained
      2018-03-01 math/clarence: Mastersite disappeared
      2018-03-01 devel/cstringbuffer: Abandonware, no more upstream
      2018-03-01 deskutils/charmap: Mastersite disappeared
      2018-03-01 devel/afay: Abandonware, not used in the ports tree
      2018-03-01 devel/alabastra: Abandonware, not used in the ports tree
      2018-03-01 devel/adime: Abandonware, not used in the ports tree
      2018-03-01 devel/boaconstructor: Abandonware, does not work with recent python/wxPython
      2018-03-01 audio/amp: No more upstream
      2018-03-01 devel/alf: Abandonware, unused in the ports tree
      ba99f44a
  3. 01 Mar, 2018 1 commit
  4. 28 Feb, 2018 8 commits
  5. 27 Feb, 2018 2 commits
  6. 26 Feb, 2018 1 commit
  7. 25 Feb, 2018 1 commit
  8. 23 Feb, 2018 1 commit
    • rene's avatar
      Remove expired ports: · b200437a
      rene authored
      2018-02-21 misc/tpp: Depends on expired devel/ruby-ncurses
      2018-02-21 net/raggle: Depends on expired devel/ruby-ncurses
      2018-02-21 devel/ruby-ncurses: Marked BROKEN for more than 6 months
      b200437a
  9. 22 Feb, 2018 2 commits
    • tcberner's avatar
      Give the KDE SC4 applications ports a -kde4 suffix · ac5d54d2
      tcberner authored
      In order to make room for the up-to-date version of the KDE Desktop and its
      applications move the KDE Application ports based on Qt4.
      
      PR:		225992
      Exp-run by:	antoine
      Reviewed by:	rakuco, adridg
      Differential Revision:	https://reviews.freebsd.org/D14413
      ac5d54d2
    • kevans's avatar
      Add devel/lua-luacheck, linter and static analyzer for lua · 1941cc54
      kevans authored
      Provides linting and static analysis for Lua 5.1, Lua 5.2, Lua 5.3 and
      LuaJIT. A patch was required to allow luacheck and luacheck.lua to be
      symlinked into ${PREFIX}/bin, which I have submitted upstream.
      
      Checked with:	portlint
      Tested with:	Poudriere (head, amd64)
      Tested with:	Poudriere (stable/11, amd64)
      Tested with:	Poudriere (11.1-R, i386) [lwhsu]
      Tested with:	Poudriere (10.4-R, amd64+i386) [lwhsu]
      Reviewed by:	lwhsu
      Approved by:	lwhsu (ports)
      Differential Revision:	https://reviews.freebsd.org/D14467
      1941cc54
  10. 21 Feb, 2018 1 commit
  11. 20 Feb, 2018 4 commits
    • sunpoet's avatar
      Add rubygem-clamp11 1.1.2 (copied from rubygem-clamp) · c0d8268b
      sunpoet authored
      - Add PORTSCOUT
      c0d8268b
    • sunpoet's avatar
      Add p5-Unix-Groups-FFI 0.002 · 419acd96
      sunpoet authored
      Unix::Groups::FFI provides a FFI interface to several syscalls related to Unix
      groups, including getgroups(2), setgroups(2), getgrouplist(3), and
      initgroups(3). As such it will only work on Unix-like operating systems.
      
      WWW: http://search.cpan.org/dist/Unix-Groups-FFI/
      419acd96
    • sunpoet's avatar
      Add p5-FFI-Platypus 0.47 · 6ceedebf
      sunpoet authored
      Platypus is a library for creating interfaces to machine code libraries written
      in languages like C, C++, Fortran, Rust, Pascal. Essentially anything that gets
      compiled into machine code. This implementation uses libffi to accomplish this
      task. libffi is battle tested by a number of other scripting and virtual machine
      languages, such as Python and Ruby to serve a similar role.
      
      WWW: http://search.cpan.org/dist/FFI-Platypus/
      6ceedebf
    • sunpoet's avatar
      Add p5-FFI-CheckLib 0.18 · 0db5e131
      sunpoet authored
      FFI::CheckLib checks whether a particular dynamic library is available for FFI
      to use. It is modeled heavily on Devel::CheckLib, but will find dynamic
      libraries even when development packages are not installed. It also provides a
      find_lib function that will return the full path to the found dynamic library,
      which can be feed directly into FFI::Platypus or FFI::Raw.
      
      Although intended mainly for FFI modules via FFI::Platypus and similar, this
      module does not actually use any FFI to do its detection and probing. This
      module does not have any non-core runtime dependencies. The test suite does
      depend on Test2::Suite.
      
      WWW: http://search.cpan.org/dist/FFI-CheckLib/
      0db5e131
  12. 19 Feb, 2018 2 commits
    • rene's avatar
      Remove expired ports: · d07011ab
      rene authored
      2018-02-18 devel/elixir-exrm: No longer maintained upstream
      2018-02-18 devel/elixir-conform_exrm: No longer maintained upstream
      2018-02-18 devel/elixir-sorted_set: No longer maintained upstream
      2018-02-18 devel/elixir-red_black_tree: No longer maintained upstream
      d07011ab
    • lwhsu's avatar
      Add devel/shards, dependency manager for the Crystal programming language · 2b0a18b2
      lwhsu authored
      PR:		224459
      Submitted by:	Greg V <greg@unrelenting.technology>
      2b0a18b2
  13. 17 Feb, 2018 1 commit
    • jhale's avatar
      Update devel/gwenhywfar* to 4.19.0 · 760a9118
      jhale authored
      Add devel/gwenhywfar-gtk3 slave port - support library for GTK3+
      Remove unneeded linguisttools dependency from devel/gwenhywfar-qt5
      760a9118
  14. 16 Feb, 2018 1 commit
  15. 15 Feb, 2018 3 commits
  16. 14 Feb, 2018 3 commits
    • yuri's avatar
      New port: devel/py-notify2: Python interface to DBus notifications · bb2798a7
      yuri authored
      See https://pypi.python.org/pypi/notify2
      
      Submitted by:	myself
      Approved by:	tcberner
      Differential Revision:	https://reviews.freebsd.org/D14374
      bb2798a7
    • pi's avatar
      New port: devel/liblockfile · 346e2c4b
      pi authored
      This library implements a number of functions found in -lmail on SysV
      systems. These functions are designed to lock the standard mailboxes in
      /var/mail (or wherever the system puts them).
      
      In additions, this library adds a number of functions to create,
      manage and remove generic lockfiles.
      
      The lockfiles are created by this library in an NFS-safe manner, that
      is by using a tempfile and using link(2) to create the lockfile. It
      works around several defects in NFS servers to make sure the lockfile
      is created atomically.
      
      The locking strategy is compatible with other well-written NFS-safe
      programs that create lockfiles - such as procmail, exim and mutt.
      
      If you are trying to lock a mailbox in a directory writable for group
      mail, the locking functions will call a helper application which runs
      setgid to do the actual locking. The helper application "dotlockfile"
      can also be used directly, for example for use in shellscripts.
      
      This means a program such as a MUA doesn't need to be setgid mail anymore
      to be able to lock the mailbox.
      
      WWW: https://github.com/miquels/liblockfile
      
      PR:		224507
      Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>
      346e2c4b
    • lwhsu's avatar
      Add cquery, highly-scalable, low-latency language server for C/C++/Objective-C · 132cdeae
      lwhsu authored
      PR:		225896
      Submitted by:	Henry Hu <henry.hu.sh@gmail.com>
      132cdeae
  17. 13 Feb, 2018 2 commits
  18. 12 Feb, 2018 1 commit
  19. 10 Feb, 2018 2 commits
    • rene's avatar
      Remove expired ports: · ea09b797
      rene authored
      2018-01-01 devel/p5-Parse-Pidl: yes
      2018-02-08 devel/rubygem-piston: No longer maintained upstream
      2017-04-05 databases/postgresql92-server: PostgreSQL 9.2 support has reached End-of-line. Please upgrade to a later version.
      ea09b797
    • tcberner's avatar
      Rename KDE4 meta ports · 1b974cbd
      tcberner authored
      This is done for
       * consistency,
       * and to simplify the import of the newer KDE Plasma5 desktop and KDE applications
      
      Bumps the dependencies.
      
      Reviewed by:	adridg
      Differential Revision:	https://reviews.freebsd.org/D12979
      1b974cbd
  20. 08 Feb, 2018 2 commits